outdir:=result
VPATH:=.:${outdir}
figfiles:=${wildcard *.fig}

.SUFFIXES: .eps .fig

dvi: ${outdir}/opgave.dvi
	xdvi ${outdir}/opgave.dvi
ps:${outdir}/opgave.ps
	gv ${outdir}/opgave.ps


clean:
	rm -rf ${outdir}
	rm -f *.log
	rm -f *.aux
	rm -f *~
	rm -f *.bak
	rm -f *.eps
	rm -f *.lof
	rm -f *.toc

${outdir}/opgave.ps:${outdir}/opgave.dvi
	dvips ${outdir}/opgave.dvi -o ${outdir}/opgave.ps

${outdir}/opgave.dvi:opgave.tex ${figfiles:.fig=.eps}
	latex opgave.tex
	latex opgave.tex
	rm -rf ${outdir}
	mkdir ${outdir}
	mv opgave.dvi ${outdir}

.fig.eps:
	fig2dev -L eps $< $@